Skip to main content

Returns the pre-signed S3 Url for a downloadable object.

GET 

/api/download/url/:docId/:propertyXPathAndFilename

Returns the pre-signed URL as a plain-text body (Content-Type: text/plain). Send Accept: */*: application/json, application/vnd.hxcs.v1+json and text/plain are all answered with 406. propertyXPathAndFilename is the blob property path, optionally followed by a file name, for example sysfile_blob or sysfiles_blobs/0/test.png.

Request​

Responses​

Returns the pre-signed S3 Url for a downloadable object.